{% extends "wafer/base.html" %}
{% load i18n %}
{% block content %}
<section class="wafer wafer-talks">
<h1 class="fancy-heading"><span>{% trans 'Talks' %}</span></h1>
<div class="wafer list">
<table class="table table-striped table-bordered">
    <thead>
        <tr>
            <th>Title</th>
            <th>Speaker</th>
        </tr>
    </thead>
    <tbody>
        {% for talk in talk_list %}
        <tr>
            <td class="talk">
                <a href="{{ talk.get_absolute_url }}">{{ talk.title }}</a>
                {% if talk.pending %}
                <span class="label label-warning" title="{% trans 'Under consideration' %}">{{ talk.status }}</span>
                {% elif talk.reject %}
                <span class="label label-danger" title="{% trans 'Not accepted' %}">{{ talk.status }}</span>
                {% endif %}
            </td>
            <td class="speaker">
                <span class="author">{{ talk.get_authors_display_name }}</span>
            </td>
        </tr>
        {% empty %}
        <tr>
            <td colspan="2" class="no-talks">No talks accepted yet.</td>
        </tr>
        {% endfor %}
    </tbody>
</table>
</div>
</section>
{% if is_paginated %}
<section class="wafer wafer-pagination text-center">
    <ul class="pagination">
        {% if page_obj.has_previous %}
        <li><a href="{% url 'wafer_users_talks_page' page=page_obj.previous_page_number %}">&laquo;</a></li>
        {% else %}
        <li class="disabled"><a href="#">&laquo;</a></li>
        {% endif %}
        {% for page in paginator.page_range %}
        <li><a href="{% url 'wafer_users_talks_page' page=page %}">{{ page }}</a></li>
        {% endfor %}
        {% if page_obj.has_next %}
        <li><a href="{% url 'wafer_users_talks_page' page=page_obj.next_page_number %}">&raquo;</a></li>
        {% else %}
        <li class="disabled"><a href="#">&raquo;</a></li>
        {% endif %}
    </ul>
</section>
{% endif %}
{% endblock %}
